ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 10376] - Build pulls wrong version javac.exe
Date Wed, 03 Jul 2002 13:51:53 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=10376>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=10376

Build pulls wrong version javac.exe





------- Additional Comments From bodewig@apache.org  2002-07-03 13:51 -------
Basically two things:

(1) Make sure JAVA_HOME points to the JDK you want to use.

(2) Make sure java.exe is the executable from JAVA_HOME/bin and not some other
version of java that is in your PATH (I've been told you could find one in
Windows' system directories for some Java installations).

If javac doesn't support -sourcepath, you are executing JDK 1.1's javac for some
reason.  That adds another point to the list of things to check:

(3) Make sure there is no JDK 1.1 classes.zip on your CLASSPATH.

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message